neue Version 4.8A im Anmarsch...

  • Zitat

    Original von 2nd_bass
    PS: Ich habe den Navirunner NewLine für 4.7 mit der 4.8er auch auf einem alten 4410 ausprobiert, der startet aber leider nicht, die Software funzt aber problemlos!


    Wie nun? Er startet nicht, die Software funktioniert aber trotzdem problemlos?
    Oder meintest du, dass die Software mit drübergebügeltem (falschem) skin nicht startet, im Original auf dem 4410 aber funktioniert?


    Zitat

    Original von snoopythedog
    dann bin ich mal gespannt, wo medion noch rumgebeastelt hat - das mit dem skin klingt ja schon mal nicht sehr erfreulich...


    Was hast du für ein Problem? Glaubst du etwa, Medion ändert die Software, um die Skinner zu ärgern? :D :D
    Bei jedem größerem Versionssprung, werden Teile der Software verändert. Dass ein Skin, der für eine vorherige Version entwickelt wurde, dann nicht mehr funktionieren kann, sollte jedem einleuchten.


    Gruß
    bonnie

  • Zitat

    Original von Rohöl
    ...
    Kann man denn einzelne Länder nachkaufen?


    Normalerweise nicht. Ab und an gibt's einige Spezialländer (USA, Türkei, ...) zum - teuren - Nachkauf.



    PS: welch bekannter Nick! :D

  • bonnie:
    ja genauso war es gemeint - die 4.8er (zu Testzwecken installiert) läuft einwandfrei auf dem alten Navi, der Navirunner-Skin lässt sich zwar installieren und konfigurieren, beim Start bleibt aber der Bildschirm dann schwarz oder mit Sanduhr "hängen"


    MfG

    *******************************************
    GoPal 3210 Navigator PE 4.1A / Steel 4_4 für GP 4.1

  • bonnie


    ja das stimmt schon - mit den änderungen an der version dass alte skins nicht mehr gehen - andererseits haben manche skinversionen auch schon "neue" gopal versionen "überlebt" und daher find ichs schade, dass sich die skinner mal wieder ransetzen müssen um auf die (notwendigen???) veränderungen zu reagieren!


    wem das spass macht - nix dagegen - aber ich denke mal erfreut sind bestimmt nicht alle darüber!

  • SnoopyTheDog


    Wenn sich Skins der Vorgängerversionen weiterhin problemlos installieren liessen, wäre das (für mich) eher ein Zeichen dafür, daß die Änderungen am GoPal reine Bugfixes wären, da nur intern. Geänderte Schnittstellen 'nach außen' dokumentieren aber üblicherweise ein Mehr an Funktionalität.
    Vorh. Skins sind dann i.A. auch recht schnell adaptiert. Und ganz ehrlich, wer skinnt, macht es doch zum Spaß! Ein verregnetes Wochenende, und fertig ist die Laube.

  • Bisher haben sich die Änderungen der Versionen im wesentlichen durch vertauschen bzw, hinzufügen von Bitmaps in der PFSkin bemerkbar gemacht.
    Deshalb haben " alte " Skins nicht mehr Funktioniert.
    Leichte Änderungen an der DPItems.xml gab es auch immer mal wieder, aber alles in allem nicht dramatisch und leicht anpassbar.
    Wirklich neue Programmzeilen gab es eigentlich nicht.
    Wäre gut wenn ein 4.8 Besitzer hier einmal seine PFSkin.skn und die DPItems.xml anhängen würde. Dann könnte man sich das mal ansehen.


    Für unseren Skin wäre noch die Dateigröße der Gopal.exe Interessant.

  • Schmischi


    bitte sehr - die Items-Datei kann leider erst Anfang nächster Woche geliefert werden.

    Dateien

    • PFSKin.zip

      (66,32 kB, 98 Mal heruntergeladen, zuletzt: )

    *******************************************
    GoPal 3210 Navigator PE 4.1A / Steel 4_4 für GP 4.1

  • nach der ersten Sichtung/Vergleich mit Winmerge ist nichts mehr wie es war :-D) Wie Schmischi schon sagte, war es auch nicht anders zu erwarten.
    Die codierten Befehle wurden alle geändert.
    Es gibt wieder was zu tun... ;)

  • Tja, wenn ich mi das so anschaue wird die Geschichte nicht ganz so einfach werden.
    Natürlich sind wieder einige Bitmaps und Fonts vertauscht, das größere Problem bei den Anpassungen an vorhandene Skins ist aber das so gut wie alle ID's und DP Aufrufe geändert wurden.
    Ebenso die Pressed Events.
    Skins die eine angepasste DPItems.xml mitbringen können dann natürlich nicht mehr laufen.
    Das wird wohl etwas mehr als nur ein verregnetes Wochenende in Anspruch nehmen. :-D)

  • verbleiben noch 2 spannende Fragen:
    1. sind die Kartendaten weiterhin kompatibel (4.3 - 4.8 ) ?( oder X(
    2. bringen die ganzen Änderungen auch mal einen Fortschritt ?(


    my-key


    PS: ich hatte mir aus copyright-Gründen nicht getraut, nach der pfskin zu fragen.
    und meine erste Frage ließe evtl. mit einer kleinen Karte (Mazedonien/Moldawien) beantworten, aber auch da ist wieder das rechtliche Problem ...

  • Zitat

    Original von my-key
    verbleiben noch 2 spannende Fragen:
    1. sind die Kartendaten weiterhin kompatibel (4.3 - 4.8 ) ?

    ... einfach mal in einer der PSF-Dateien mit einem HEX-Editor nachschaun : Offset 4 : da steht bei den 4.3-4.7 Karten der HEX-Wert '2B' ...

  • Hallo my-key


    Ich denke mit der PFskin sollte es keine Probleme geben.
    Sonst dürfte man ja gar keine Skins veröffentlichen.
    Mit Karten sieht das sicher anders aus.


    Richtige Änderungen gibt es wohl keine, eher Erweiterungen.
    Die Pressed Events sind jetzt z.B. nicht mehr 7 stellig sondern 10 stellig.
    Ein paar neue Bitmaps sind hinzugekommen.
    Ich vermute mal das da schon für künftige Versionen vorgebaut wurde.


    Richtig neues habe ich bis jetzt nicht finden können.
    Dazu müsste man die komplette Installation mal sehen.

  • da attouga das Beispiel gewählt hat :
    dürfte man evtl. die WorldKartographicLayer.psf mal ausprobieren, die geniesst doch evtl. nicht den copyright wie die richtigen Länderkarten ?(


    my-key